(function ($) {
  /**
   * Simple toggle fieldset based on random field been checked or not.
   */
  Drupal.behaviors.OpenEDUSyndicationServerEndpoints = {
    attach: function (context, settings) {
      // Set vars.
      var form = $('#bean-form', context),
          field_filters = form.find('#edit-field-bean-staff-filter-results-und'),
          fieldset_filters = form.find('fieldset.group-staff-filters'),
          fieldset_profiles = form.find('fieldset.group-select-staff-profile'),
          field_context = form.find('#edit-field-bean-context-profile-und'),
          fieldset_context = form.find('fieldset.group-context-selection'),
          toggle_fieldset_profiles = function (status) {
            if (status == true) {
              fieldset_profiles.slideUp();
              fieldset_filters.slideDown();
            }
            else {
              fieldset_profiles.slideDown();
              fieldset_filters.slideUp();
            }
          },
          toogle_fieldset_context = function (status) {
            if (status == true) {
              fieldset_context.slideUp();
            }
            else {
              fieldset_context.slideDown();
            }
          };

      // Check field status after loaded.
      toggle_fieldset_profiles(field_filters.prop('checked'));
      toogle_fieldset_context(field_context.prop('checked'));

      // Toggle fieldset based on random field status.
      field_filters.click(function () {
        toggle_fieldset_profiles(this.checked);
      });
      field_context.click(function () {
        toogle_fieldset_context(this.checked);
      });
    }
  };
})(jQuery);