<?php
/**
 * @file
 * openedu_bean_staff_profile.ds.inc
 */

/**
 * Implements hook_ds_field_settings_info().
 */
function openedu_bean_staff_profile_ds_field_settings_info() {
  $export = array();

  $ds_fieldsetting = new stdClass();
  $ds_fieldsetting->api_version = 1;
  $ds_fieldsetting->id = 'node|staff_profile|openedu_staff_profile_list';
  $ds_fieldsetting->entity_type = 'node';
  $ds_fieldsetting->bundle = 'staff_profile';
  $ds_fieldsetting->view_mode = 'openedu_staff_profile_list';
  $ds_fieldsetting->settings = array(
    'title' => array(
      'weight' => '2',
      'label' => 'hidden',
      'format' => 'default',
      'formatter_settings' => array(
        'link' => '1',
        'wrapper' => 'h3',
        'class' => 'person-name',
      ),
    ),
  );
  $export['node|staff_profile|openedu_staff_profile_list'] = $ds_fieldsetting;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function openedu_bean_staff_profile_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|staff_profile|openedu_staff_profile_list';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'staff_profile';
  $ds_layout->view_mode = 'openedu_staff_profile_list';
  $ds_layout->layout = 'panels-two_33_66';
  $ds_layout->settings = array(
    'regions' => array(
      'two_33_66_second' => array(
        0 => 'title',
        1 => 'group_bottom',
        3 => 'field_staff_email',
        4 => 'field_staff_phone',
        5 => 'field_staff_position',
      ),
      'two_33_66_first' => array(
        2 => 'field_staff_picture',
      ),
    ),
    'fields' => array(
      'title' => 'two_33_66_second',
      'group_bottom' => 'two_33_66_second',
      'field_staff_picture' => 'two_33_66_first',
      'field_staff_email' => 'two_33_66_second',
      'field_staff_phone' => 'two_33_66_second',
      'field_staff_position' => 'two_33_66_second',
    ),
    'classes' => array(),
    'wrappers' => array(
      'two_33_66_top' => 'div',
      'two_33_66_first' => 'div',
      'two_33_66_second' => 'div',
      'two_33_66_bottom' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
    'layout_disable_css' => 0,
  );
  $export['node|staff_profile|openedu_staff_profile_list'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function openedu_bean_staff_profile_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'openedu_bean_staff_profile_list';
  $ds_view_mode->label = 'OpenEDU Bean Staff Profile list';
  $ds_view_mode->entities = array(
    'node' => 'node',
  );
  $export['openedu_bean_staff_profile_list'] = $ds_view_mode;

  return $export;
}
