(function($) {

  /**
   * OpenEDU Equal Heights.
   */
  Drupal.OpenEDUJSEqualHeights = function(targets, minHeight){
    var currentTallest = 0,
        currentRowStart = 0,
        rowDivs = new Array(),
        $el,
        topPosition = 0;

    if ($.type(targets) === 'string') {
      targets = $(targets);
    }

    targets.each(function() {
      $el = $(this);
      $($el).height('auto');
      topPostion = $el.position().top;

      if (currentRowStart != topPostion) {
        for (currentDiv = 0 ; currentDiv < rowDivs.length ; currentDiv++) {
          rowDivs[currentDiv].height(currentTallest);
        }

        rowDivs.length = 0; // empty the array
        currentRowStart = topPostion;
        currentTallest = $el.height();
        rowDivs.push($el);
      }
      else {
        rowDivs.push($el);
        currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);
      }

      for (currentDiv = 0 ; currentDiv < rowDivs.length ; currentDiv++) {
        rowDivs[currentDiv].height(currentTallest);
      }

      // min height option
      if (minHeight !== null && minHeight > currentTallest) {
        $el.css('min-height', minHeight + 'px');
      }
    });
  };

  /**
   * OpenEDU Equal Heights Behaviors.
   */
  Drupal.behaviors.OpenEDUJSEqualHeights = {
    attach: function (context) {
      var elements = Drupal.settings.OpenEDUJSEqualHeights.selectors;

      if (elements.length) {
        $.each(elements, function(k, v) {
          // Set vars.
          var items = $(v);

          // Check if items are available to be processed.
          if (items.length) {
            Drupal.OpenEDUJSEqualHeights(items, null);

            $(window).resize(function(){
              Drupal.OpenEDUJSEqualHeights(items, null);
            });
          }
        });
      }
    }
  };
})(jQuery);
