<?php
/**
 * @file
 * openedu_schools_course.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function openedu_schools_course_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_content|node|course|oeu_collapsible_list';
  $field_group->group_name = 'group_content';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'course';
  $field_group->mode = 'oeu_collapsible_list';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Content',
    'weight' => '1',
    'children' => array(
      0 => 'body',
      1 => 'field_course_credits',
      2 => 'field_course_hours',
      3 => 'field_course_level',
      4 => 'field_course_prerequisite',
      5 => 'staff_profile_course_sections',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Content',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'openedu-collapsible-list-content',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_content|node|course|oeu_collapsible_list'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_course_info|node|course|form';
  $field_group->group_name = 'group_course_info';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'course';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_course';
  $field_group->data = array(
    'label' => 'Course Info',
    'weight' => '10',
    'children' => array(
      0 => 'body',
      1 => 'field_course_credits',
      2 => 'field_course_hours',
      3 => 'field_course_id',
      4 => 'field_course_image',
      5 => 'field_course_prerequisite',
      6 => 'title',
      7 => 'field_course_level',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-course-info field-group-tab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_course_info|node|course|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_course|node|course|form';
  $field_group->group_name = 'group_course';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'course';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Course',
    'weight' => '0',
    'children' => array(
      0 => 'group_course_info',
      1 => 'group_course_group',
      2 => 'group_course_section',
      3 => 'group_course_structure',
    ),
    'format_type' => 'tabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-course field-group-tabs',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_course|node|course|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_title|node|course|oeu_collapsible_list';
  $field_group->group_name = 'group_title';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'course';
  $field_group->mode = 'oeu_collapsible_list';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Title',
    'weight' => '0',
    'children' => array(
      0 => 'field_course_id',
      1 => 'title',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Title',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'openedu-collapsible-list-title',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_title|node|course|oeu_collapsible_list'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Content');
  t('Course');
  t('Course Info');
  t('Title');

  return $field_groups;
}
