<?php
/**
 * @file
 * openedu_syndication_client.services.inc
 */

/**
 * Implements hook_default_services_endpoint().
 */
function openedu_syndication_client_default_services_endpoint() {
  $export = array();

  $endpoint = new stdClass();
  $endpoint->disabled = FALSE; /* Edit this to true to make a default endpoint disabled initially */
  $endpoint->api_version = 3;
  $endpoint->name = 'openedu_syndication_client';
  $endpoint->server = 'rest_server';
  $endpoint->path = 'openedu-osc';
  $endpoint->authentication = array(
    'openedu_authentication' => 'openedu_authentication',
  );
  $endpoint->server_settings = array(
    'formatters' => array(
      'json' => TRUE,
      'xml' => TRUE,
      'bencode' => FALSE,
      'jsonp' => FALSE,
      'php' => FALSE,
      'yaml' => FALSE,
    ),
    'parsers' => array(
      'application/json' => TRUE,
      'application/x-www-form-urlencoded' => TRUE,
      'application/vnd.php.serialized' => FALSE,
      'application/x-yaml' => FALSE,
      'application/xml' => FALSE,
      'multipart/form-data' => FALSE,
      'text/xml' => FALSE,
    ),
  );
  $endpoint->resources = array(
    'blog' => array(
      'alias' => 'blog',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'courses' => array(
      'alias' => 'course',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'departments' => array(
      'alias' => 'department',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'events' => array(
      'alias' => 'event',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'news' => array(
      'alias' => 'news',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'programs' => array(
      'alias' => 'program',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'publications' => array(
      'alias' => 'publication',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'schools' => array(
      'alias' => 'school',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
    'profiles' => array(
      'alias' => 'staff-profile',
      'operations' => array(
        'index' => array(
          'enabled' => '1',
        ),
      ),
    ),
  );
  $endpoint->debug = 0;
  $export['openedu_syndication_client'] = $endpoint;

  return $export;
}
