(function ($) {
  /**
   * Simple toggle submit button based on fieldset being exposed or not.
   */
  Drupal.behaviors.OpenEDUSyndicationServerEndpoints = {
    attach: function (context, settings) {
      // Set vars.
      var form = $('#openedu-syndication-server-register-endpoints-form', context),
          fieldset = form.find('fieldset#edit-endpoint'),
          button = form.find('#edit-actions'),
          table_actions = form.find('table ul.actions');

      // Check if form and button is present.
      if (fieldset.length && button.length) {

        // Check if fieldset is already collapsed.
        if (fieldset.hasClass('collapsed')) {
          button.hide();
        }

        // Create behaviour when toggling fieldset.
        fieldset.find('.fieldset-title').on('click', function() {
          button.slideToggle('fast');
        });
      }

      if (table_actions.length) {
        table_actions.find('a.edit').on('click', function(e) {
          e.preventDefault();

          // Set vars.
          var $this = $(this),
              $data = $this.parents('ul').data();

          // Reset/Display all elements.
          fieldset.removeClass('collapsed');
          fieldset.find('.fieldset-wrapper').show();
          button.show();

          // Set form with loaded values.
          $.each($data, function(key, value) {
            form.find('input[name="'+ key +'"], select[name="'+ key +'"]').val(value);
          });

        });
      }
    }
  };
})(jQuery);